<app-loading *ngIf="isLoading"></app-loading>
<div class='app-card'>
  <div class="container-fluid" nz-col nzSpan="24">
    <div class="form">
      <div nz-row class="form-row">
        <div nz-col nzSm='12' nzLg='8' class="form-row__left">
          <input nz-input class="form-row__input" placeholder="{{'common.label.search' | translate}}" [(ngModel)]="textFilter"
                 (keyup.enter)="search()" trim/>
          <mb-button class="bt-center" mbButtonType="NO_BORDER" mbButtonSize="VERY_LARGE" (click)="search()" mbButtonAvailableStyle="SEARCH"
                     mbButtonText="{{'common.label.search' | translate}}"></mb-button>
        </div>
        <div nz-col nzSpan="12" class="form-row__right">
          <mb-button *ngIf="objFunction?.create" mbButtonType="NO_BORDER" mbButtonSize="VERY_LARGE" (click)="create()" mbButtonAvailableStyle="PRIMARY"
                     mbButtonText="{{'common.button.add' | translate}}"></mb-button>
        </div>
      </div>
    </div>
  </div>
</div>

<div class="app-list">
  <div class="data-table" oncontextmenu="return false;">
    <nz-table #basicTable [nzData]="listData" [nzShowPagination]="false" [nzScroll]="listData.length > 10 ? { y: '520px' } : {}" [nzPageSize]="limit" nzSize='small'>
      <thead>
        <tr>
          <th id="stt" [nzWidth]="'60px'" [nzLeft]="true" class="text-nowrap text-center">{{'system.table.stt' | translate}}</th>
          <th id="appCode" class="text-nowrap">{{'system.app.label.table.appCode' | translate}}</th>
          <th id="appName" class="text-nowrap">{{'system.app.label.table.appName' | translate}}</th>
          <th id="description" class="text-nowrap">{{'system.app.label.table.description' | translate}}</th>
          <th id="action" nzWidth="100px" nzRight="0px" class="text-nowrap text-center" *ngIf="objFunction?.edit || objFunction?.delete"></th>
        </tr>
      </thead>
      <tbody>
        <tr class="row-table" *ngFor="let data of basicTable.data ;let i = index; trackBy: trackByFn">
          <td class="text-center" nzWidth='60px' nzLeft='0'>{{validateService.getRowIndex(i, pageable?.currentPage, basicTable.nzPageSize)}}</td>
          <td>{{ data?.appCode }}</td>
          <td>{{ data?.appName }}</td>
          <td>{{ data?.description }}</td>
          <td nzWidth="100px" nzRight="0px" class="text-nowrap text-center" *ngIf="objFunction?.edit || objFunction?.delete">
            <mb-button-icon *ngIf="objFunction?.edit" mbButtonType="EDIT" (click)="update(data)"> </mb-button-icon>
            <mb-button-icon *ngIf="objFunction?.delete" mbButtonType="DELETE" (click)="delete(data)"> </mb-button-icon>
          </td>
        </tr>
      </tbody>
    </nz-table>
  </div>
</div>
<div class="pagination" *ngIf="listData && listData.length > 0" >
  <div class="pagination__table-info">
    <img alt="idea.svg" class="pagination__table-info--icon" src="assets/images/icon/idea.svg" />
    <span class="pagination__table-info--text">Tìm thấy {{ pageable?.totalElements }} kết quả, hiển thị từ
      {{ pageable.size * (pageable.currentPage - 1) + 1 }} đến
      {{ pageable.size * (pageable.currentPage - 1) + pageable.numberOfElements }}</span>
  </div>
  <nz-pagination [(nzPageIndex)]="pageable && pageable.currentPage" [nzTotal]="pageable?.totalElements"
    [nzPageSize]="pageable?.size" (nzPageIndexChange)="search($event)" class="pagination__icon">
  </nz-pagination>
</div>
